import { type Base, genBase } from "./_base"

export interface EncounterPayment extends Base {
  encounter_id: number
  paymentMethod_code: string
  insuranceCompany_id?: number
  member_number?: string
  ref_number?: string
  trx_number?: string
}

export function genEncounterPayment(): EncounterPayment {
  return {
    ...genBase(),
    encounter_id: 0,
    paymentMethod_code: '',
  }
}
